//---------------------------------------------------------------------------
#ifndef fLayersH
#define fLayersH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <CheckLst.hpp>
#include <ImgList.hpp>
#include <DXFImage.hpp>
#include <DXFConv.hpp>
//---------------------------------------------------------------------------
class TfmLayers : public TForm
{
__published:	// IDE-managed Components
        TButton *btnOK;
        TButton *btnCancel;
        TCheckListBox *clbLayers;
        TImageList *ImageList;
        void __fastcall FormKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall clbLayersClickCheck(TObject *Sender);
        void __fastcall clbLayersDrawItem(TWinControl *Control, int Index,
          TRect &Rect, TOwnerDrawState State);
        void __fastcall clbLayersKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
private:	// User declarations
        TControl *FControl;
        TsgDXFImage *FImage;
        void __fastcall SetControl(TControl *value);
        TControl* __fastcall GetControl();
        void __fastcall SetImage(TsgDXFImage * value);
        TsgDXFImage * __fastcall GetImage();

public:		// User declarations
        __fastcall TfmLayers(TComponent* Owner);
        __property TControl* Control  = { read = GetControl, write = SetControl};
        __property TsgDXFImage * Image  = { read = GetImage, write = SetImage };
};

bool LayersDialogExecute(TsgDXFImage *AImage, TControl *Control);

//---------------------------------------------------------------------------
extern PACKAGE TfmLayers *fmLayers;
//---------------------------------------------------------------------------
#endif
 